Interface GoogleSecretManagerEndpointBuilderFactory.GoogleSecretManagerBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- GoogleSecretManagerEndpointBuilderFactory
public static interface GoogleSecretManagerEndpointBuilderFactory.GoogleSecretManagerBuilders
-
Method Summary
Modifier and TypeMethodDescriptionGoogle Secret Manager (camel-google-secret-manager) Manage Google Secret Manager Secrets Category: cloud Since: 3.16 Maven coordinates: org.apache.camel:camel-google-secret-managergoogleSecretManager(String path) Google Secret Manager (camel-google-secret-manager) Manage Google Secret Manager Secrets Category: cloud Since: 3.16 Maven coordinates: org.apache.camel:camel-google-secret-manager Syntax:google-secret-manager:projectPath parameter: project (required) The Google Cloud Project Id name related to the Secret ManagergoogleSecretManager(String componentName, String path) Google Secret Manager (camel-google-secret-manager) Manage Google Secret Manager Secrets Category: cloud Since: 3.16 Maven coordinates: org.apache.camel:camel-google-secret-manager Syntax:google-secret-manager:projectPath parameter: project (required) The Google Cloud Project Id name related to the Secret Manager
-
Method Details
-
googleSecretManager
default GoogleSecretManagerEndpointBuilderFactory.GoogleSecretManagerHeaderNameBuilder googleSecretManager()Google Secret Manager (camel-google-secret-manager) Manage Google Secret Manager Secrets Category: cloud Since: 3.16 Maven coordinates: org.apache.camel:camel-google-secret-manager- Returns:
- the dsl builder for the headers' name.
-
googleSecretManager
default GoogleSecretManagerEndpointBuilderFactory.GoogleSecretManagerEndpointBuilder googleSecretManager(String path) Google Secret Manager (camel-google-secret-manager) Manage Google Secret Manager Secrets Category: cloud Since: 3.16 Maven coordinates: org.apache.camel:camel-google-secret-manager Syntax:google-secret-manager:projectPath parameter: project (required) The Google Cloud Project Id name related to the Secret Manager- Parameters:
path- project- Returns:
- the dsl builder
-
googleSecretManager
default GoogleSecretManagerEndpointBuilderFactory.GoogleSecretManagerEndpointBuilder googleSecretManager(String componentName, String path) Google Secret Manager (camel-google-secret-manager) Manage Google Secret Manager Secrets Category: cloud Since: 3.16 Maven coordinates: org.apache.camel:camel-google-secret-manager Syntax:google-secret-manager:projectPath parameter: project (required) The Google Cloud Project Id name related to the Secret Manager- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- project- Returns:
- the dsl builder
-